View Issue Details

IDProjectCategoryLast Update
0025884AI War 2SuggestionJan 11, 2022 9:58 pm
Reporterx4000Bughunter Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.765 Easier Upgrades And Necromancer Surge 
Fixed in VersionBeta 3.783 The Return Of Multiplayer! 
Summary0025884: Parent: Todo prior to beta exit
DescriptionThese are the things that I think we need to have resolved before we leave the beta branch on steam.
TagsNo tags attached.

Relationships

parent of 0025885 resolvedx4000Bughunter Ships don't explode (but icons still do). 
parent of 0025886 resolvedx4000Bughunter raycasts against ship icons on the planet view are not working at all. 
parent of 0025911 resolvedx4000Bughunter Get tutorials working again post-refactor. 
parent of 0025912 resolvedx4000Bughunter Figure out why the game breaks (what is different?) after trying to reload xml (changing mods or DLCs) 
parent of 0025917 resolvedx4000Bughunter Implement self-checking for central unit dictionary. 
parent of 0025918 resolvedx4000Bughunter For xml auto-reload logic, using reflection make it handle dictionaries and lists directly. 
parent of 0025919 resolvedx4000Bughunter Test multiplayer after other pre-coming-out-of-beta items are done and see what breaks. 
parent of 0025921 resolvedx4000Bughunter Strongly consider removing NewTimingsBeingBuilt. 
parent of 0025923 resolvedx4000Bughunter Influence needs to be double-buffered in some fashion. 
parent of 0025924 closedx4000Bughunter ShipLineEntry not going back in pools despite being a pooled list? 
parent of 0025927 resolvedx4000Bughunter when in build mode and go to the galaxy map, the build mode lines still show. 
parent of 0025929 resolvedx4000Bughunter MP testing: test the playeraccount permutations! Are we clearing those enough? 
parent of 0025930 resolvedx4000Bughunter test sounds (voice commands from AI, etc) and achievements in MP! 
parent of 0025932 resolvedx4000Bughunter Make canceling hacks work in MP. 
parent of 0025933 closedx4000Bughunter MP test: how often is world baseinfo being sycned? it may not be 
parent of 0025967 resolvedx4000Bughunter Intel tab: actualobjectives are jumping around a ton. 
parent of 0025814 resolvedx4000Bughunter Potential performance drain in R-view 
parent of 0025813 resolvedx4000Bughunter Damage multiplier tooltip quite broken 
parent of 0025812 resolvedx4000Bughunter Flickering in text of capturable ship lines in tech preview tooltip 
parent of 0025920 resolvedx4000Bughunter Move away from threadstatic to instead have lists that are checked out of central pools. 
parent of 0025916 closedx4000Bughunter quickstarts are not loaded the first time you click into them. 
parent of 0025988 resolvedx4000Bughunter Error about 'StartingAIPlanetRatio' when starting game with DLC2 disabled 
parent of 0025983 resolvedx4000Bughunter game command lock preventing ship orders 
parent of 0025981 resolvedx4000Bughunter Tech GUI bug 
parent of 0025982 resolvedx4000Bughunter Exception in the menu 
parent of 0025837 resolvedx4000Bughunter Menu "Details of ships upgraded by tech" UI 
parent of 0025989 resolvedx4000Bughunter Exception during the game 
parent of 0026042 resolvedx4000Bughunter LiteNetLib seems to be detected but cannot be used 
parent of 0025875 resolvedx4000Bughunter Audio Blasts On Game Exit 

Activities

x4000Bughunter

Jan 11, 2022 9:58 pm

administrator   ~0063742

Nothing large remains. There are some bugs that are being very recently reported that may need some looking into, but that's it.

Issue History

Date Modified Username Field Change
Dec 14, 2021 9:37 am x4000Bughunter New Issue
Dec 14, 2021 9:42 am x4000Bughunter Relationship added parent of 0025885
Dec 14, 2021 9:43 am x4000Bughunter Relationship added parent of 0025886
Dec 14, 2021 2:46 pm x4000Bughunter Relationship added parent of 0025911
Dec 14, 2021 2:48 pm x4000Bughunter Relationship added parent of 0025912
Dec 14, 2021 4:55 pm x4000Bughunter Relationship added parent of 0025917
Dec 14, 2021 4:57 pm x4000Bughunter Relationship added parent of 0025918
Dec 14, 2021 5:00 pm x4000Bughunter Relationship added parent of 0025919
Dec 14, 2021 5:01 pm x4000Bughunter Relationship added child of 0025920
Dec 14, 2021 5:04 pm x4000Bughunter Relationship added parent of 0025921
Dec 14, 2021 5:11 pm x4000Bughunter Relationship added parent of 0025923
Dec 14, 2021 5:12 pm x4000Bughunter Relationship added parent of 0025924
Dec 14, 2021 5:13 pm x4000Bughunter Relationship added parent of 0025925
Dec 14, 2021 5:14 pm x4000Bughunter Relationship added parent of 0025926
Dec 14, 2021 5:18 pm x4000Bughunter Relationship added parent of 0025927
Dec 14, 2021 5:22 pm x4000Bughunter Relationship added parent of 0025929
Dec 14, 2021 5:22 pm x4000Bughunter Relationship added parent of 0025930
Dec 14, 2021 6:05 pm x4000Bughunter Relationship added parent of 0025932
Dec 14, 2021 6:06 pm x4000Bughunter Relationship added parent of 0025933
Dec 14, 2021 6:13 pm x4000Bughunter Relationship added parent of 0025936
Dec 14, 2021 8:15 pm x4000Bughunter Relationship added parent of 0025939
Dec 14, 2021 8:16 pm x4000Bughunter Relationship added parent of 0025940
Dec 14, 2021 8:18 pm x4000Bughunter Relationship deleted parent of 0025940
Dec 14, 2021 8:18 pm x4000Bughunter Relationship deleted parent of 0025939
Dec 14, 2021 8:18 pm x4000Bughunter Relationship deleted parent of 0025936
Dec 14, 2021 10:01 pm x4000Bughunter Assigned To => x4000Bughunter
Dec 14, 2021 10:01 pm x4000Bughunter Status new => acknowledged
Dec 14, 2021 10:03 pm x4000Bughunter Relationship added parent of 0025967
Dec 14, 2021 10:15 pm x4000Bughunter Relationship added parent of 0025814
Dec 14, 2021 10:15 pm x4000Bughunter Relationship added parent of 0025813
Dec 14, 2021 10:15 pm x4000Bughunter Relationship added parent of 0025812
Dec 16, 2021 5:39 pm x4000Bughunter Relationship deleted parent of 0025926
Dec 16, 2021 5:39 pm x4000Bughunter Relationship deleted parent of 0025925
Dec 16, 2021 5:40 pm x4000Bughunter Relationship deleted child of 0025920
Dec 16, 2021 5:40 pm x4000Bughunter Relationship added parent of 0025920
Dec 16, 2021 6:44 pm x4000Bughunter Relationship added parent of 0025916
Dec 18, 2021 9:33 pm x4000Bughunter Relationship added parent of 0025988
Dec 18, 2021 9:34 pm x4000Bughunter Relationship added parent of 0025983
Dec 18, 2021 9:35 pm x4000Bughunter Relationship added parent of 0025981
Dec 18, 2021 9:35 pm x4000Bughunter Relationship added parent of 0025982
Dec 18, 2021 10:47 pm x4000Bughunter Relationship added parent of 0025837
Dec 20, 2021 1:24 am tom.prince Relationship added parent of 0025989
Jan 6, 2022 6:31 pm x4000Bughunter Relationship added parent of 0026042
Jan 8, 2022 6:52 pm BadgerBadger Relationship added parent of 0025875
Jan 11, 2022 9:58 pm x4000Bughunter Status acknowledged => resolved
Jan 11, 2022 9:58 pm x4000Bughunter Resolution open => fixed
Jan 11, 2022 9:58 pm x4000Bughunter Fixed in Version => Beta 3.783 The Return Of Multiplayer!
Jan 11, 2022 9:58 pm x4000Bughunter Note Added: 0063742